package com.seer.teach.common.exception;


import com.seer.teach.common.enums.ResultCodeEnum;

/**
 * @Author: Captain
 * @Description:
 * @Date: 2025-06-11 16:53
 */
public class FileUploadException extends RuntimeException {
    private final ResultCodeEnum resultCode;

    public FileUploadException(ResultCodeEnum resultCode) {
        super(resultCode.getMsg());
        this.resultCode = resultCode;
    }

    public FileUploadException(ResultCodeEnum resultCode, String message) {
        super(message);
        this.resultCode = resultCode;
    }
}

